﻿//converts drop down menu in to a select box
$(function () {
    //create the dropdown base
    $("<select />").appendTo(".dropdownmenu");

    //create default option "Go to..."
    $("<option />",
	{
	    "selected": "selected",
	    "value": "",
	    "text": "Go to..."
	}).appendTo(".dropdownmenu select");

    //populate dropdown with menu items
    $(".dropdownmenu a").each(function () {
        var el = $(this);

        $("<option />",
		{
		    "value": el.attr("href"),
		    "text": el.text()
		}).appendTo(".dropdownmenu select");
    });

    //to make dropdown actually work
    $(".dropdownmenu select").change(function () {
        window.location = $(this).find("option:selected").val();
    });
});

//converts nested lists in to a dropdown menu
$(document).ready(function () {
    $('.dropdownmenu ul > li').hover
            (
                function () {
                    $('ul', this).slideDown(150);
                },
                function () {
                    $('ul', this).slideUp(150);
                }
            );
});

//provides a smooth scroll to top action 
$(function () {
    $('#scrolltotop').click(function () {
        var destination = $('body').offset().top;

        $('html').animate({ scrollTop: destination }, 600);

        return false;
    });

    $(window).scroll(function () {
        //get scoll bar distance from the top
        var distance = $(window).scrollTop();

        //fade in or out the element
        if (distance > 100)
            $('#scrolltotop').fadeIn(1000);
        else
            $('#scrolltotop').fadeOut(1000);
    });
});

//photo shadow
$(function () {

    var width = $('.polaroid').find('img').width();

    $('.polaroid').css('max-width', width + 10).wrapInner('<div class=\'frame\' />').find('img').addClass('photo').parent().parent().append('<img src=\'/themes/seriousblue/images/polaroidshadow.png\' class=\'shadow\' alt=\'shadow\' />');
});